Bug 518193 - Error in detecting the video stream on some web sites (for example: CNN site)
Summary: Error in detecting the video stream on some web sites (for example: CNN site)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: qspice
Version: 5.4
Hardware: All
OS: Linux
high
medium
Target Milestone: rc
: ---
Assignee: Yaniv Kamay
QA Contact: Omri Hochman
URL:
Whiteboard:
Depends On:
Blocks: 521791
TreeView+ depends on / blocked
 
Reported: 2009-08-19 12:38 UTC by Yaniv Kamay
Modified: 2010-03-30 08:35 UTC (History)
7 users (show)

Fixed In Version: qspice-0.3.0-40.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-30 08:35:42 UTC


Attachments (Terms of Use)
spice: server: improve video stream detection (7.66 KB, patch)
2009-09-07 05:30 UTC, Uri Lublin
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2010:0264 normal SHIPPED_LIVE qspice bug fix update 2010-03-29 12:54:04 UTC

Description Yaniv Kamay 2009-08-19 12:38:32 UTC
Spice server use heuristic method for detecting video streams.

 From some reason, On CNN site, pixmaps of video frames arrive
to spice server having two variant. One is having the actual
size of the video frame, the dimension of the other is from
top-left of the web page to bottom-right of the video frame.

This scenario cause spice server to fail in video stream detection.
The result of this failure is dramatic increase in both CPU usage
and bit-rate.

Comment 5 Uri Lublin 2009-09-07 05:30:13 UTC
Created attachment 359944 [details]
spice: server: improve video stream detection

Comment 8 Yaniv Kaul 2010-01-11 13:09:04 UTC
Tested multiple video streams on CNN - all seem to be streamed OK - the network usage would drop from 2-4MB/s to 0.5MB/s.

Comment 9 Yaniv Kaul 2010-01-11 13:09:41 UTC
(In reply to comment #8)
> Tested multiple video streams on CNN - all seem to be streamed OK - the network
> usage would drop from 2-4MB/s to 0.5MB/s. 

Tested on qspice-libs-0.3.0-50.el5

Comment 11 errata-xmlrpc 2010-03-30 08:35:42 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0264.html


Note You need to log in before you can comment on or make changes to this bug.